# round() function in python programming language
# Syntax - round(number, digits)
# where -
# a. number is a required param for the number to be rounded
# b. digits is an optional param for the number of decimals to use when rounding the number
#      i. default is 0
#      ii. if the last digit after the decimal is >=5 it will be round off to the next integer
#      iii. if the last digit after the decimal is <5 it will be round off to the floor integer

def method1():
    print(round(10))
    print(round(10.2))
    print(round(10.6))


def method2():
    print(round(10.465, 2))
    # if the last digit after the decimal is >=5 it will be round off to the next integer
    print(round(10.466, 2))
    # if the last digit after the decimal is <5 it will be round off to the floor integer
    print(round(10.463, 2))


def main():
    print('==== if the decimal param is not present =====')
    method1()
    print('\n==== if the decimal param is present =====')
    method2()


if __name__ == '__main__':
    main()

print("\ndone")
